%define modname hash
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 54_%{modname}.ini

Summary:	HASH Message Digest Framework
Name:		php-%{modname}
Version:	5.2.1
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://www.php.net
BuildRequires:	php-devel >= 3:5.2.0
BuildRoot:	%{_tmppath}/%{name}-root

%description
Native implementations of common message digest algorithms using a generic
factory method.

Message Digest (hash) engine. Allows direct or incremental processing of
arbitrary length messages using a variety of hashing algorithms.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/extensions/%{dirname}/* .

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README* CREDITS bench.php
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.1-1mdv2007.0
+ Revision: 117398
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 5.2.0-2mdv2007.0
+ Revision: 78195
- fix deps

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 5.2.0-1mdv2007.0
+ Revision: 77355
- rebuilt for php-5.2.0

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-1mdv2007.1
+ Revision: 75229
- Import php-hash



* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-1
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-2mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-1mdk
- rebuilt for php-5.1.4

* Tue Jan 17 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.2-1mdk
- initial Mandriva package
